petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSTrajectorySetType

Sets the storage method to be used as in a trajectory

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectorySetType(TSTrajectory tj,TS ts,TSTrajectoryType type)

Collective on TS

### Input Parameters

| tj | - the TSTrajectory context
| ts | - the TS context
| type | - a known method

### Options Database Command

-ts_trajectory_type <type> -Sets the method; use -help for a list of available methods (for instance, basic)

### Keywords

TS, trajectory, timestep, set, type

### See Also

TS, TSTrajectoryCreate(), TSTrajectorySetFromOptions(), TSTrajectoryDestroy()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages